Subject: Re: [PATCH 4/7] d80211: add support for SIOCSIWNICKN SIOCGIWNICKN

From: Dan Williams <[email-masked]>
Date: Wed, 30 Aug 2006 09:36:30 -0400

On Wed, 2006-08-30 at 00:15 +0200, Ulrich Kunitz wrote:
> On 06-08-29 10:45 Jouni Malinen wrote:
> 
> > The only reason for adding nick command would be to maintain backwards
> > compatibility with some scripts. I do not use any distro configuration
> > mechanisms for setting up wireless, so I do not know what is currently
> > being used. I would not add these ioctls into d80211 unless someone can
> > point out an existing (and widely used) mechanism that depends on these
> > ioctls being available.
> 
> The softmac-broadcom and the zd1211 driver are using it to give some
> information about the driver bound to the interface. I found it
> quite useful to know which driver is bound to which WLAN
> interface. A readonly driver text info field would get my support.

That's what the 'driver' link is for in sysfs.

[dcbw@localhost devel]$ ls -al /sys/class/net/eth1/device/
lrwxrwxrwx 1 root root    0 Aug 30 09:18 driver -> ../../../../bus/pci/drivers/ipw2200

Dan